Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.template
Class TemplateBuilder

    java.lang.Object
      org.jboss.portal.format.template.TemplateBuilder

    public class TemplateBuilder

extends java.lang.Object

Author:
  Julien Viet

Field Summary
`static int` | `classNameCounter`

Constructor Summary
`TemplateBuilder(javassist.ClassPool pool, org.dom4j.Document doc, java.util.Set names)`
`TemplateBuilder(javassist.ClassPool pool, org.dom4j.Element node, java.util.Set names)`
`TemplateBuilder(org.dom4j.Document doc, java.util.Set propertyNames)`
`TemplateBuilder(org.dom4j.Element node, java.util.Set propertyNames)`

Method Summary
`void` | `build()`
`javassist.CtClass` | `getGeneratedClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classNameCounter

    public static int classNameCounter

Constructor Detail

### TemplateBuilder

    public TemplateBuilder(org.dom4j.Document doc,
                           java.util.Set propertyNames)

### TemplateBuilder

    public TemplateBuilder(org.dom4j.Element node,
                           java.util.Set propertyNames)

### TemplateBuilder

    public TemplateBuilder(javassist.ClassPool pool,
                           org.dom4j.Document doc,
                           java.util.Set names)

### TemplateBuilder

    public TemplateBuilder(javassist.ClassPool pool,
                           org.dom4j.Element node,
                           java.util.Set names)

Method Detail

### getGeneratedClass

    public javassist.CtClass getGeneratedClass()

### build

    public void build()
               throws BuildException

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD